# -*- coding: utf-8 -*-
# author=Kai Moriguchi @Chichibu 2013.4~2014.3
# email:a09a215@gmail.com
from ccbplugintools import *
from PyQt4 import QtCore, QtGui
import sys
try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_form(object):
    def setupUi(self, fm):
        fm_w = 700
        fm_h = 400
        margin_w = 20
        margin_h = 20
        obj_h = 25
        lab_x = 20
        lab_w = 110
        box_w = 400
        button_w = 75
        bar_w = 500
        check_w = 200
        box_x = lab_x + lab_w + margin_w
        button_x = box_x + box_w + margin_w
        bar_x = (fm_w-bar_w)/2
        check_x = (fm_w-check_w)/2
        runb_x =(fm_w-button_w)/2

        font = QtGui.QFont( 'Meiryo', 11 )
        fm.setObjectName(_fromUtf8("fm"))
        fm.resize(fm_w, fm_h)
        fm.setFocusPolicy(QtCore.Qt.TabFocus)
        fm.setWindowTitle(_fromUtf8("strictVoronoi"))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/qgis.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        fm.setWindowIcon(icon)

        y=30
        self.analyzelabel = QtGui.QLabel(fm)
        self.analyzelabel.setGeometry(QtCore.QRect(lab_x,y,lab_w,obj_h))
        self.analyzelabel.setFont(font)
        self.analyzelabel.setToolTip(_fromUtf8(""))
        self.analyzelabel.setObjectName(_fromUtf8("analyzelabel"))

        self.analyzebox = QtGui.QComboBox(fm)
        self.analyzebox.setGeometry(QtCore.QRect(box_x, y, box_w, obj_h))
        self.analyzebox.setFont(font)
        self.analyzebox.setObjectName(_fromUtf8("analyzebox"))

        y = y + obj_h + margin_h
        self.inputlabel_1 = QtGui.QLabel(fm)
        self.inputlabel_1.setGeometry(QtCore.QRect(lab_x,y,lab_w,obj_h))
        self.inputlabel_1.setFont(font)
        self.inputlabel_1.setToolTip(_fromUtf8(""))
        self.inputlabel_1.setObjectName(_fromUtf8("inputlabel_1"))

        self.inputbox_1 = QtGui.QComboBox(fm)
        self.inputbox_1.setGeometry(QtCore.QRect(box_x, y, box_w, obj_h))
        self.inputbox_1.setFont(font)
        self.inputbox_1.setObjectName(_fromUtf8("inputbox_1"))

        y = y + obj_h + margin_h
        self.inputlabel_2 = QtGui.QLabel(fm)
        self.inputlabel_2.setGeometry(QtCore.QRect(lab_x,y,lab_w,obj_h))
        self.inputlabel_2.setFont(font)
        self.inputlabel_2.setToolTip(_fromUtf8(""))
        self.inputlabel_2.setObjectName(_fromUtf8("inputlabel_2"))

        self.inputbox_2 = QtGui.QComboBox(fm)
        self.inputbox_2.setGeometry(QtCore.QRect(box_x, y, box_w, obj_h))
        self.inputbox_2.setFont(font)
        self.inputbox_2.setObjectName(_fromUtf8("inputbox_2"))

        y = y + obj_h + margin_h
        self.outputlabel = QtGui.QLabel(fm)
        self.outputlabel.setGeometry(QtCore.QRect(lab_x,y,lab_w,obj_h))
        self.outputlabel.setFont(font)
        self.outputlabel.setToolTip(_fromUtf8(""))
        self.outputlabel.setObjectName(_fromUtf8("outputlabel"))

        self.outputbox = QtGui.QLineEdit(fm)
        self.outputbox.setGeometry(QtCore.QRect(box_x, y, box_w, obj_h))
        self.outputbox.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.outputbox.setObjectName(_fromUtf8("outputbox"))

        self.outputbutton = QtGui.QPushButton(fm)
        self.outputbutton.setGeometry(QtCore.QRect(button_x,y,button_w,obj_h))
        self.outputbutton.setFont(font)
        self.outputbutton.setObjectName(_fromUtf8("outputbutton"))

        y = y + obj_h + margin_h
        self.paramlabel = QtGui.QLabel(fm)
        self.paramlabel.setGeometry(QtCore.QRect(lab_x,y,lab_w,obj_h))
        self.paramlabel.setFont(font)
        self.paramlabel.setObjectName(_fromUtf8("paramlabel"))

        self.parambox = QtGui.QLineEdit(fm)
        self.parambox.setGeometry(QtCore.QRect(box_x, y, box_w, obj_h))
        self.parambox.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.parambox.setObjectName(_fromUtf8("parambox"))

        y = y + obj_h + margin_h
        self.addcheck = QtGui.QCheckBox(fm)
        self.addcheck.setGeometry(QtCore.QRect(check_x,y,check_w,obj_h))
        self.addcheck.setFont(font)
        self.addcheck.setChecked(True)
        self.addcheck.setObjectName(_fromUtf8("addcheck"))

        y = y + obj_h + margin_h
        self.runbutton = QtGui.QPushButton(fm)
        self.runbutton.setFont(font)
        self.runbutton.setGeometry(QtCore.QRect(runb_x,y,button_w,obj_h))
        self.runbutton.setObjectName(_fromUtf8("run"))

        y = y + obj_h + margin_h
        self.progressbar = QtGui.QProgressBar(fm)
        self.progressbar.setGeometry(QtCore.QRect(bar_x,y,bar_w,obj_h))
        self.progressbar.setFont(font)
        self.progressbar.setProperty(_fromUtf8("value"), 0)
        self.progressbar.setObjectName(_fromUtf8("progressbar"))

        self.setWindowFlags(QtCore.Qt.WindowFlags(QtCore.Qt.WindowMaximizeButtonHint))
        self.retranslateUi(fm)
        self.setWindowFlags(QtCore.Qt.WindowFlags(QtCore.Qt.WindowMaximizeButtonHint))
        QtCore.QMetaObject.connectSlotsByName(fm)

    def retranslateUi(self, fm):
        self.analyzelabel.setText(Qtrans("Menu"))
        self.inputlabel_1.setText(Qtrans("Input layer 1"))
        self.inputlabel_2.setText(Qtrans("Input layer 2"))
        self.outputlabel.setText(Qtrans("Output layer"))
        self.outputbutton.setText("...")

        self.paramlabel.setToolTip(Qtrans("delimited with ;"))
        self.paramlabel.setText(Qtrans("Parameters"))
        self.parambox.setText("0.999;1")

        self.runbutton.setText(Qtrans("Run"))
        self.addcheck.setText(Qtrans("Add results to project"))

import resources

if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    fm = QtGui.QWidget()
    ui = Ui_form()
    fm.show()
    sys.exit(app.exec_())

